<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Point extends Model
{
    public $incrementing = false;

    public static function boot()
    {
        parent::boot(); 
        self::creating(function ($model) {
            $model->id = (string) \Uuid::generate();
        }); 
    }

    public function getCoverAttribute($value){
        if($value){
            return asset(Config('app.storageUrl').$value);
        } else {
            return asset('/img/default-cover-route.jpg');
        }
    }

    public function point_contents(){
        return $this->hasMany(PointContent::class)->with('language');  
    }

    public function route_points(){
        return $this->hasMany(RoutePoint::class, 'point_id');
    }
    
    public function routes(){
        return $this->hasManyThrough(
            Route::class,
            RoutePoint::class,
            'point_id', // Foreign key on users table...
            'id', // Foreign key on posts table...
            'id', // Local key on countries table...
            'route_id' // Local key on users table...
        )->with('city');
    }
}
