<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Route extends Model
{
  
    public $incrementing = false;

    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->id = (string) \Uuid::generate();
        });
    }

    public function city(){
        return $this->belongsTo(City::class);
    }

    public function route_contents(){
        return $this->hasMany(RouteContent::class)->with('language');
    }

    public function getCoverAttribute($value){
        if($value){
            return asset(Config('app.storageUrl').$value);
        } else {
            return asset("img/default-cover-route.jpg");
        }
    }

    public function points(){
        return $this->hasManyThrough(
            Point::class,
            RoutePoint::class,
            'route_id', // Foreign key on users table...
            'id', // Foreign key on posts table...
            'id', // Local key on countries table...
            'point_id' // Local key on users table...
        );
    }

}
