<?php

use Illuminate\Database\Seeder;

use App\Point;
use App\Language;
use App\PointContent;

class PointContentsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        $faker = new Faker\Generator();
        $faker->addProvider(new Faker\Provider\pt_BR\Person($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Address($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\PhoneNumber($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Company($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Internet($faker));
        $faker->addProvider(new Faker\Provider\Lorem($faker));
        $faker->addProvider(new Faker\Provider\DateTime($faker));

        $points = Point::all();
        $langs = Language::all();

        $path = upload_from_url('audio/city/', 'https://www.soundhelix.com/examples/mp3/SoundHelix-Song-1.mp3');

        foreach ($points as $point) {
            foreach ($langs as $language) {
                $obj = new PointContent;
                $obj->point_id = $point->id;
                $obj->language_id = $language->id;
                $obj->text_message = $language->name . ' - ' . $faker->paragraph(3, true);
                $obj->audio_message = $path;
                $obj->save(); 
            }
        }
    }
}
