<?php

use Illuminate\Database\Seeder;
use App\Language;
use App\WelcomeMessage;

class WelcomeMessagesTableSeeder extends Seeder
{
    /**
     * Run the database seeds. 
     *
     * @return void
     */
    public function run()
    {
        $faker = new Faker\Generator();
        $faker->addProvider(new Faker\Provider\pt_BR\Person($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Address($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\PhoneNumber($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Company($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Internet($faker));
        $faker->addProvider(new Faker\Provider\Lorem($faker));
        $faker->addProvider(new Faker\Provider\DateTime($faker));

        $langs              =           Language::all();

        $path = upload_from_url('audio/welcome/', 'https://www.soundhelix.com/examples/mp3/SoundHelix-Song-1.mp3');

        foreach($langs as $lang){
            $obj                    =           new WelcomeMessage;
            $obj->language_id       =           $lang->id;
            $obj->text_message      =           $lang->name.' - '.$faker->paragraph(3, true);
            $obj->audio_message     =           $path;
            $obj->save();
        }
    }
}
