@extends('admin.layout.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Editar</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.cidades.index') }}"> Voltar</a>
            </div>
        </div>
    </div>
 

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Alguns erros ocorreram.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif


    <form action="{{ route('admin.cidades.update',$cidade->id) }}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('PUT')



         <div class="row">

            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nome:</strong>
                    <select name="country_id" class="form-control" required>
                        @foreach($countries as $country)
                            @if($country->id == $cidade->country_id)
                                <option selected value="{{ $country->id }}">{{ $country->name }}</option>
                            @else
                                <option value="{{ $country->id }}">{{ $country->name }}</option>
                            @endif
                            
                        @endforeach
                    </select>
                </div>
            </div>

            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nome:</strong>
                    <input type="text" name="name" value="{{ $cidade->name }}" class="form-control" placeholder="Nome">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Foto</strong>
                    <input class="form-control" type="file" name="cover"> 
                </div>  
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Atualizar</button>
            </div>
        </div>


    </form>


@endsection