@extends('admin.layout.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Editar</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.historicos.index') }}"> Voltar</a>
            </div>
        </div>
    </div>

    <hr>
 

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Alguns erros ocorreram.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif


    <form action="{{ route('admin.historicos.update', $city_id) }}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('PUT')

        @foreach($languages as $language)
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Texto | {{ $language->name }}</strong>
                        <textarea name="text_message[{{ $language->slug }}]" required="required" rows="5" class="form-control">{{ $language->data_historico ? $language->data_historico->text_message : '' }}</textarea>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Áudio | {{ $language->name }}</strong>
                        @if($language->data_historico)
                        <audio controls>
                            <source src="{{ $language->data_historico->audio_message }}" type="audio/mpeg">
                            Your browser does not support the audio element.
                        </audio>
                        @endif
                        <input class="form-control" type="file" name="audio_message[{{ $language->slug }}]"> 
                        
                    </div> 
                </div>
            </div>
        @endforeach
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Atualizar</button>
                </div>
    </form>


@endsection