<!DOCTYPE html>
<html>
<head>
	<title>{{ config('app.name') }}</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/jquery-3.3.1.min.js" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
</head>
<body>


<div class="container">

	<nav class="navbar navbar-toggleable-md navbar-light bg-faded">
		<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<a class="navbar-brand" href="/">{{ config('app.name') }}</a>

		<div class="collapse navbar-collapse" id="navbarSupportedContent">
			<ul class="navbar-nav ml-auto">
				<li class="nav-item {{ menuCurrent('admin', 'languages') }}"> 
					<a class="nav-link" href="{{ route('admin.languages.index') }}">Linguagens</a>
				</li>
				<li class="nav-item {{ menuCurrent('admin', 'cidades') }}">
					<a class="nav-link" href="{{ route('admin.cidades.index') }}">Cidades</a>
				</li>
				<li class="nav-item {{ menuCurrent('admin', 'historicos') }}">
					<a class="nav-link" href="{{ route('admin.historicos.index') }}">Históricos</a>
				</li>
				<li class="nav-item {{ menuCurrent('admin', 'rotas') }}">
					<a class="nav-link" href="{{ route('admin.rotas.index') }}">Rotas</a>
				</li>
				<li class="nav-item {{ menuCurrent('admin', 'pontos') }}">
					<a class="nav-link" href="{{ route('admin.pontos.index') }}">Pontos turísticos</a>
				</li>
				<li class="nav-item {{ menuCurrent('admin', 'boasvindas') }}">
					<a class="nav-link" href="{{ route('admin.boasvindas.index') }}">Boas vindas</a>
				</li>
			</ul>
		</div>
	</nav>
	<br>
	@if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
    @yield('content')
</div>

<style>
	audio{
	 	width: 100%;
		margin-top:10px;
	}
	</style>
	<script>
		(function($){
			$.fn.extend({
				donetyping: function(callback,timeout){
					timeout = timeout || 1e3; // 1 second default timeout
					var timeoutReference,
						doneTyping = function(el){
							if (!timeoutReference) return;
							timeoutReference = null;
							callback.call(el);
						};
					return this.each(function(i,el){
						var $el = $(el);
						// Chrome Fix (Use keyup over keypress to detect backspace)
						// thank you @palerdot
						$el.is(':input') && $el.on('keyup keypress paste',function(e){
							// This catches the backspace button in chrome, but also prevents
							// the event from triggering too preemptively. Without this line,
							// using tab/shift+tab will make the focused element fire the callback.
							if (e.type=='keyup' && e.keyCode!=8) return;
							
							// Check if timeout has been set. If it has, "reset" the clock and
							// start over again.
							if (timeoutReference) clearTimeout(timeoutReference);
							timeoutReference = setTimeout(function(){
								// if we made it here, our timeout has elapsed. Fire the
								// callback
								doneTyping(el);
							}, timeout);
						}).on('blur',function(){
							// If we can, fire the event since we're leaving the field
							doneTyping(el);
						});
					});
				}
			});
		})(jQuery);

		$('input[name=address]').donetyping(function(){
			var address = $('input[name=address]').val();
			if(address && address != ''){
				var url = 'https://maps.googleapis.com/maps/api/geocode/json?address='+address+'&key=AIzaSyDUJXfeKY1draCqSYj5Ftfu25XXBbUqwhE';

				jQuery.ajax({url: url, success: function(data){
					if(data.results[0]){
						$('input[name=latitude]').val(data.results[0].geometry.location.lat);
						$('input[name=longitude]').val(data.results[0].geometry.location.lng);
					}
				}});
			}
			
		});
	</script>
	<script>
		$( function() {

		    function reorderItems(){
		        var count = 0;
		        $('.items_table > div').each(function(){
                    count = count + 1;
					$('p:nth-child(1)', this).html(count);
				});
			}

            $( ".items_table" ).sortable({
                update: reorderItems
			});
		} );
	</script>
</body>
</html>